Data Fields
hand_motion_detection_algo_config_t Struct Reference

Hand motion algo configuration. More...

`#include <example_hand_motion_detection.h>`

## Data Fields
float | sensor_to_water_distance
float | water_jet_width
float | measurement_range_end
float | filter_time_const
float | threshold
float | detection_retention_duration
uint16_t | hwaas
uint16_t | sweeps_per_frame
float | sweep_rate
float | frame_rate

## Detailed Description

Hand motion algo configuration.

Definition at line 45 of file example_hand_motion_detection.h.

## Field Documentation

## ◆ detection_retention_duration

float hand_motion_detection_algo_config_t::detection_retention_duration

Definition at line 52 of file example_hand_motion_detection.h.

## ◆ filter_time_const

float hand_motion_detection_algo_config_t::filter_time_const

Definition at line 50 of file example_hand_motion_detection.h.

## ◆ frame_rate

float hand_motion_detection_algo_config_t::frame_rate

Definition at line 56 of file example_hand_motion_detection.h.

## ◆ hwaas

uint16_t hand_motion_detection_algo_config_t::hwaas

Definition at line 53 of file example_hand_motion_detection.h.

## ◆ measurement_range_end

float hand_motion_detection_algo_config_t::measurement_range_end

Definition at line 49 of file example_hand_motion_detection.h.

## ◆ sensor_to_water_distance

float hand_motion_detection_algo_config_t::sensor_to_water_distance

Definition at line 47 of file example_hand_motion_detection.h.

## ◆ sweep_rate

float hand_motion_detection_algo_config_t::sweep_rate

Definition at line 55 of file example_hand_motion_detection.h.

## ◆ sweeps_per_frame

uint16_t hand_motion_detection_algo_config_t::sweeps_per_frame

Definition at line 54 of file example_hand_motion_detection.h.

## ◆ threshold

float hand_motion_detection_algo_config_t::threshold

Definition at line 51 of file example_hand_motion_detection.h.

## ◆ water_jet_width

float hand_motion_detection_algo_config_t::water_jet_width

Definition at line 48 of file example_hand_motion_detection.h.

The documentation for this struct was generated from the following file:

- Inc/example_hand_motion_detection.h